<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      <div class="icon-part full-height flex-fixed-size">
        @switch (configuration.level) {
          @case ('DANGER') {
            <i
              nz-icon
              class="sqtm-core-icon"
              nzType="exclamation-circle"
              nzTheme="twotone"
              [nzTwotoneColor]="'#FF0000'"
            ></i>
          }
          @case ('WARNING') {
            <i
              nz-icon
              class="sqtm-core-icon"
              nzType="exclamation-circle"
              nzTheme="twotone"
              [nzTwotoneColor]="'#FAAD14'"
            ></i>
          }
        }
      </div>
      <ng-container>
        <span
          [attr.data-test-dialog-message]="true"
          [innerHTML]="configuration.messageKey | translate"
        ></span>
      </ng-container>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'detach'"
      class="flex-fixed-size sqtm-core-delete-button danger-icon"
      nz-button
      nzType="primary"
      (click)="confirmDetachFromTestSuite(configuration.itemTestPlanIds)"
    >
      {{
        'sqtm-core.campaign-workspace.test-suite.test-plan.button.remove-from-test-suite'
          | translate
      }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'remove'"
      class="flex-fixed-size sqtm-core-delete-button danger-icon m-l-10"
      nz-button
      nzType="primary"
      (click)="
        confirmRemoveFromTestSuiteAndIteration(configuration.itemTestPlanIds)
      "
    >
      {{
        'sqtm-core.campaign-workspace.test-suite.test-plan.button.remove-from-iteration'
          | translate
      }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
